For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomeGuidesAPI ReferenceChangelog
HomeGuidesAPI ReferenceChangelog
  • Quotes API
  • Products API
      • GETFeature switches
      • GETRetrieve PDS
      • GETRetrieve PDS V2
      • GETRetrieve PDS metadata
      • GETRetrieve PDS metadata V2
      • GETTender types
  • Policies API
  • Card Token API
  • Users API
LogoLogo
Products APIInsurance Contract

Retrieve PDS metadata

GET
https://api-staging.nibtravelinsurance.com/products/v1/:brandCode/insuranceContract/:insuranceContractId/pdsSummary
GET
/products/v1/:brandCode/insuranceContract/:insuranceContractId/pdsSummary
$curl https://api-staging.nibtravelinsurance.com/products/v1/nibau/insuranceContract/1000000/pdsSummary \
> -H "Authorization: Bearer <token>"
200World Nomads - insuranceContractId 40
1{
2 "name": "Policy Wording",
3 "filename": "WNAU_PDS_HTML_20190801.html",
4 "contentTypeCode": "HTML",
5 "contentLanguage": [
6 "contentLanguage"
7 ]
8}

Returns metadata about the PDS document return by /v1/{brandCode}/insuranceContract/{insuranceContractId}/pds

Was this page helpful?
Previous

Retrieve PDS metadata V2

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

brandCodeenumRequired
Brand code
Allowed values:
insuranceContractIdlongRequiredDefaults to 0

Query parameters

languageCodestringOptional

A language code (eg ‘en’)

countryCodestringOptional
provinceCodestringOptional
planIdlongOptionalDefaults to 0

Response

Success
namestring
filenamestring
contentTypeCodestring
contentLanguagelist of strings